Bug Hunting Session
Bug 93928 - The tooltip hides the zoom slider
Summary: The tooltip hides the zoom slider
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.1.1 rc
Hardware: Other All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-04 16:00 UTC by László Németh
Modified: 2016-10-25 19:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Tooltip hides the zoom slider with its handle. (4.53 KB, image/png)
2015-09-04 16:00 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2015-09-04 16:00:11 UTC
Created attachment 118420 [details]
Tooltip hides the zoom slider with its handle.

Not only the +, - buttons of the zoom slider, but the inner slider has got a new tooltip by fixing tdf#82708. Unfortunately, this tooltip can hide frequently the slider, also the handle of slider, see on the attached screenshot.
Comment 1 Commit Notification 2015-09-04 16:30:37 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27949c810daa4090106cbed360f80869a4813d15

tdf#93928 don't hide the zoom slider and its handle with a tooltip

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-09-05 21:43:46 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2eaa2e6df239eef2a2cd9eff916449c60e5c2142&h=libreoffice-5-0

tdf#93928 don't hide the zoom slider and its handle with a tooltip

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) (retired) 2015-09-06 12:09:55 UTC
(In reply to László Németh from comment #0)
> Created attachment 118420 [details]
> Tooltip hides the zoom slider with its handle.
> 
> Not only the +, - buttons of the zoom slider, but the inner slider has got a
> new tooltip by fixing tdf#82708. Unfortunately, this tooltip can hide
> frequently the slider, also the handle of slider, see on the attached
> screenshot.

There wasnt a problem with it covering a portion of the statusbar zoom control as this happens also with toolbar buttons, and once a user moves his mouse close to the tooltip to access whatever is covered, it will redraw the tooltip farther away. If anything, it would be useful to modify the tooltip generation code so that in never covers the control that it appears for.

@ux-advise: What are your thoughts?
Comment 4 László Németh 2015-09-07 09:06:21 UTC
> @ux-advise: What are your thoughts?

Covering is a problem only for this slider widget, because (1) instead of a single or double clicks, it is used for a longer time, so we get the unnecessary tooltip every time. (2) Precise mouse moving is part of its work, that is why moving the mouse pointer to remove the bad tooltip is not an option here.

Now I removed the tooltip over the zoom slider (there were no statusbar tooltip here before 2014), so it works again like the other similar widgets, sliders, ruler, etc.: without tooltip.
Comment 5 Adolfo Jayme 2015-09-07 20:46:56 UTC
I agree with László in that having a tooltip for a slider is a bit superfluous. I recall we also removed a tooltip from the vertical scrollbar because it was so annoying.

Also, Jay, please file a separate report to request that the UI toolkit stops overlapping widgets with tooltips.